Skip to content

Starter templates with their variables and test data

GET
/api/v1/workspaces/{workspace}/transactional/starters
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/transactional/starters \
--header 'Authorization: Bearer <token>'

Permission: transactional:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
items
required
Array<object>
object
attachment
required

Usually sent with an attachment (a PDF invoice)

boolean
description
required
string
key
required
string
kind
required

The kind of category it belongs in

string
Allowed values: essential optional
name
required
string
preheader
required
string
subject
required
string
testData
required
Array<object>
object
data
required
object
key
additional properties
name
required
string
>= 1 characters <= 80 characters
variables
required
Array<object>
object
default
string
<= 4000 characters
description
string
<= 300 characters
name
required
string
>= 1 characters <= 64 characters /^[A-Za-z_][A-Za-z0-9_]*$/
required
required
boolean
sample
string
<= 4000 characters
sensitive
required

Never stored: logs and stored content show ••••••

boolean
type
required
string
Allowed values: text number boolean date url list object

Example

{
"items": [
{
"key": "password-reset",
"kind": "essential",
"name": "Password reset",
"testData": [
{
"name": "New user"
}
],
"variables": [
{
"name": "reset_url",
"type": "text"
}
]
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}